<?php 
	$this->PageTitle = 'Cidades &raquo; Unidade Responsável';
	$this->menu = array(
	    array('label' => FaHtml::iconSetaClose(), 'url' => '#', 'linkOptions' => array('class' => 'search-button')),
	    array('label' => FaHtml::iconRefresh(), 'url' => 'javascript:void(0);', 'linkOptions' => array('onclick' => 'reloadFrame();', 'class' => 'refresh-button'))
	);
?>
<div class="search-form" style="display: block" >
<?php 
	$this->renderPartial('_searchbycidade', array(
		'model' => $model,
	)); 
?>
</div><!-- search-form -->
<?php 

if (isset($_GET['Regioescidades'])) {

	$dataProvider = $model->search();
	$template = "{view}";
	if(User::getUser()->FUN_TBL_CIDADES) {
		$template .= "{update}"; 
	}

	$this->widget('ext.Utils.widgets.CrmGridView', array(
	'id' => 'admin-grid',
	'dataProvider' => $dataProvider,
	'afterAjaxUpdate'=>'updated',
	'selectableRows'=>1,
	'pager' => Util::getPagerDefaultConfig(),
	'columns' => array(
		array(
            'name' => 'Cidade',
            'header' => 'Cidade',
            'value' => '$data->Cidade->cidadeEstado',
        ),
		array(
            'name' => 'Revenda',
            'header' => 'Unidade Responsável',
            'value' => '$data->Revenda',
        ),
		array(
            'name' => 'Revenda.REV_FONE1',
            'value' => '!empty($data->Revenda) ? $data->Revenda->getTelefones("<br>") : ""',
            'type' => 'raw'
        ),
		'Revenda.REV_EMAIL',
		array(
            'class' => 'CButtonColumn',
            'template' => $template,
            'viewButtonOptions' => array('target' => '_blank'),
            'updateButtonOptions' => array('target' => '_blank'),
            'buttons' => array(
                'view' => array(
                    'label' => 'Exibir',
                    'url' => 'Yii::app()->createUrl("cidades/viewrevendaresponsavel", array("id"=>$data->Cidade->CID_IDCIDADE))',
                ),
                'update' => array(
                    'label' => 'Exibir',
                    'url' => 'Yii::app()->createUrl("cidades/update", array("id"=>$data->Cidade->CID_IDCIDADE))',
                ),
            ),
        ),
	),
));
}